Toolkits
List grant contexts
Experimental: this endpoint is in beta and its contract may change.
List of contexts in which you want to grant scopes to your user. Pass a dimension and its selected value in the grant_context field of the Get required scopes request to tailor the scope recommendation.
In the Jira example, default_grant_context is {"scope_family": "classic"}, so a recommendation with no grant_context uses classic scopes. Pass {"scope_family": "granular"} to get granular scopes instead.
GET
/
api
/
v3.1
/
toolkits
/
{toolkit_slug}
/
scopes
/
grant_context
List grant contexts
import requests
url = "https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"auth_scheme": "OAUTH2",
"toolkit_version": "20260917_00",
"grant_context_dimensions": [
{
"dimension": "scope_family",
"description": "Which Atlassian OAuth scope catalog to draw from: classic scopes cover broad product areas, granular scopes name individual operations. Defaults to classic, matching the scopes our Jira OAuth app requests today.",
"values": [
"classic",
"granular"
]
}
],
"default_grant_context": {
"scope_family": "classic"
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
Path Parameters
Query Parameters
Response
Successfully discovered the toolkit's grant-context dimensions
List grant contexts
import requests
url = "https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context \
--header 'x-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context")
.header("x-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3.1/toolkits/{toolkit_slug}/scopes/grant_context");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"auth_scheme": "OAUTH2",
"toolkit_version": "20260917_00",
"grant_context_dimensions": [
{
"dimension": "scope_family",
"description": "Which Atlassian OAuth scope catalog to draw from: classic scopes cover broad product areas, granular scopes name individual operations. Defaults to classic, matching the scopes our Jira OAuth app requests today.",
"values": [
"classic",
"granular"
]
}
],
"default_grant_context": {
"scope_family": "classic"
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}